CMSIS-NN: Globals

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Enumerations
- Enumerator
- Macros

- a
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - n -

- arm_nn_accumulate_q7_to_q15() : arm_nnsupportfunctions.h , arm_nn_accumulate_q7_to_q15.c
- arm_nn_activation_type : arm_nnsupportfunctions.h
- arm_nn_activations_direct_q15() : arm_nnfunctions.h , arm_nn_activations_q15.c
- arm_nn_activations_direct_q7() : arm_nnfunctions.h , arm_nn_activations_q7.c
- arm_nn_add_q7() : arm_nnsupportfunctions.h , arm_nn_add_q7.c
- arm_nn_depthwise_conv_nt_t_padded_s8() : arm_nnsupportfunctions.h , arm_nn_depthwise_conv_nt_t_padded_s8.c
- arm_nn_depthwise_conv_nt_t_s8() : arm_nnsupportfunctions.h , arm_nn_depthwise_conv_nt_t_s8.c
- arm_nn_depthwise_conv_s8_core() : arm_nnsupportfunctions.h , arm_nn_depthwise_conv_s8_core.c
- arm_nn_divide_by_power_of_two() : arm_nnsupportfunctions.h
- arm_nn_exp_on_negative_values() : arm_nnsupportfunctions.h
- arm_nn_mat_mul_core_1x_s8() : arm_nnsupportfunctions.h , arm_nn_mat_mul_core_1x_s8.c
- arm_nn_mat_mul_core_4x_s8() : arm_nnsupportfunctions.h , arm_nn_mat_mul_core_4x_s8.c
- arm_nn_mat_mult_kernel_q7_q15() : arm_nnfunctions.h , arm_nn_mat_mult_kernel_q7_q15.c
- arm_nn_mat_mult_kernel_q7_q15_reordered() : arm_nnfunctions.h , arm_nn_mat_mult_kernel_q7_q15_reordered.c
- arm_nn_mat_mult_kernel_s8_s16() : arm_nn_mat_mult_kernel_s8_s16.c , arm_nnfunctions.h
- arm_nn_mat_mult_kernel_s8_s16_reordered() : arm_nnfunctions.h , arm_nn_mat_mult_kernel_s8_s16_reordered.c
- arm_nn_mat_mult_nt_t_s8() : arm_nn_mat_mult_nt_t_s8.c , arm_nnsupportfunctions.h
- arm_nn_mat_mult_s8() : arm_nnsupportfunctions.h , arm_nn_mat_mult_s8.c
- arm_nn_mult_by_power_of_two() : arm_nnsupportfunctions.h
- arm_nn_mult_q15() : arm_nn_mult_q15.c , arm_nnsupportfunctions.h
- arm_nn_mult_q7() : arm_nnsupportfunctions.h , arm_nn_mult_q7.c
- arm_nn_one_over_one_plus_x_for_x_in_0_1() : arm_nnsupportfunctions.h
- arm_nn_read_q15x2() : arm_nnsupportfunctions.h
- arm_nn_read_q15x2_ia() : arm_nnsupportfunctions.h
- arm_nn_read_q7x4() : arm_nnsupportfunctions.h
- arm_nn_read_q7x4_ia() : arm_nnsupportfunctions.h
- arm_nn_requantize() : arm_nnsupportfunctions.h
- arm_nn_sat_doubling_high_mult() : arm_nnsupportfunctions.h
- arm_nn_vec_mat_mult_t_s8() : arm_nn_vec_mat_mult_t_s8.c , arm_nnsupportfunctions.h
- NN_ROUND : arm_nnsupportfunctions.h